use std::io::{self, Write};

pub struct NoopWriter;

impl Write for NoopWriter
 {
    fn write(&mut self, _buf: &[u8]) -> io::Result<usize> {
        return Ok(0);
    }

    fn flush(&mut self) -> io::Result<()> {
        return Ok(());
    }
}
